import Taro from "@tarojs/taro";
import { getLocation, h5GetLocation } from "@/utils/authorize";
import React from "react";
import { useEffect } from "react";
export default (props) => {
  const { location, onChange } = props;
  useEffect(() => {
    if (location) {
      console.log(location)
      const [lat, lng] = (location || DEFAULT_POS).split(",");
   
      const center = new TMap.LatLng(parseFloat(lat), parseFloat(lng));
      new TMap.Map("container", {
        rotation: 20, //设置地图旋转角度
        pitch: 30, //设置俯仰角度（0~45）
        zoom: 20, //设置地图缩放级别
        center: center, //设置地图中心点坐标
      });
    }
  }, [location]);

  useEffect(() => {
    fixedLocation().then((res) => {
      console.log(res);
      const {lat,lng   } = res.location;
      onChange([lat,lng].join(","));
    });
  }, []);

  const fixedLocation = () => {
    return new Promise((resolve) => {
      Taro.showLoading({
        title: "加载中",
      });
      return h5GetLocation()
        .then((res) => {
          Taro.hideLoading();
          resolve(res.data.result);
        })
        .catch((err) => {
          console.error(err);
          Taro.hideLoading();
          Taro.showToast({
            title: "定位失败",
            icon: "none",
          });
        });
    });
  };

  return <div id="container"></div>;
};
